import { name } from "../package.json";
import { version } from "../package.json";
import type { ESLint } from "eslint";
import parser = require("@html-eslint/parser");
import { HTMLLanguage } from "./languages/html-language";
import rules = require("./rules");
export declare namespace meta {
    export { name };
    export { version };
}
export declare let configs: {
    recommended: {
        rules: {
            "@html-eslint/require-lang": "error";
            "@html-eslint/require-img-alt": "error";
            "@html-eslint/require-doctype": "error";
            "@html-eslint/require-title": "error";
            "@html-eslint/no-multiple-h1": "error";
            "@html-eslint/no-extra-spacing-attrs": "error";
            "@html-eslint/attrs-newline": "error";
            "@html-eslint/element-newline": ["error", {
                inline: string[];
            }];
            "@html-eslint/no-duplicate-id": "error";
            "@html-eslint/indent": "error";
            "@html-eslint/require-li-container": "error";
            "@html-eslint/quotes": "error";
            "@html-eslint/no-obsolete-tags": "error";
            "@html-eslint/require-closing-tags": "error";
            "@html-eslint/no-duplicate-attrs": "error";
            "@html-eslint/use-baseline": "error";
        };
    };
    "flat/recommended": {
        plugins: {
            /** @type {ESLint.Plugin} */
            readonly "@html-eslint": ESLint.Plugin;
        };
        languageOptions: {
            parser: typeof parser;
        };
        rules: {
            "@html-eslint/require-lang": "error";
            "@html-eslint/require-img-alt": "error";
            "@html-eslint/require-doctype": "error";
            "@html-eslint/require-title": "error";
            "@html-eslint/no-multiple-h1": "error";
            "@html-eslint/no-extra-spacing-attrs": "error";
            "@html-eslint/attrs-newline": "error";
            "@html-eslint/element-newline": ["error", {
                inline: string[];
            }];
            "@html-eslint/no-duplicate-id": "error";
            "@html-eslint/indent": "error";
            "@html-eslint/require-li-container": "error";
            "@html-eslint/quotes": "error";
            "@html-eslint/no-obsolete-tags": "error";
            "@html-eslint/require-closing-tags": "error";
            "@html-eslint/no-duplicate-attrs": "error";
            "@html-eslint/use-baseline": "error";
        };
    };
};
export declare namespace languages {
    let html: HTMLLanguage;
}
export { rules };
//# sourceMappingURL=index.d.ts.map